git: 7300e41b2e46 - main - net-mgmt/unifi7: Add port

From: Juraj Lutter <otis_at_FreeBSD.org>
Date: Thu, 03 Mar 2022 21:16:15 UTC
The branch main has been updated by otis:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7300e41b2e46df2aa9b47263ffaa3a141d083033

commit 7300e41b2e46df2aa9b47263ffaa3a141d083033
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2022-03-03 21:13:12 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2022-03-03 21:15:40 +0000

    net-mgmt/unifi7: Add port
    
    Add unifi7 7.0.23, first official release from 7.x series and
    connect it to the build.
---
 net-mgmt/Makefile              |  1 +
 net-mgmt/unifi7/Makefile       | 80 ++++++++++++++++++++++++++++++++++++++++
 net-mgmt/unifi7/distinfo       |  5 +++
 net-mgmt/unifi7/files/unifi.in | 84 ++++++++++++++++++++++++++++++++++++++++++
 net-mgmt/unifi7/pkg-descr      |  4 ++
 5 files changed, 174 insertions(+)

diff --git a/net-mgmt/Makefile b/net-mgmt/Makefile
index b43a959cc092..89be02706e4c 100644
--- a/net-mgmt/Makefile
+++ b/net-mgmt/Makefile
@@ -381,6 +381,7 @@
     SUBDIR += triton-guesttools
     SUBDIR += unbound_exporter
     SUBDIR += unifi6
+    SUBDIR += unifi7
     SUBDIR += victoria-metrics
     SUBDIR += virt-viewer
     SUBDIR += vmutils
diff --git a/net-mgmt/unifi7/Makefile b/net-mgmt/unifi7/Makefile
new file mode 100644
index 000000000000..6bb0a94734b0
--- /dev/null
+++ b/net-mgmt/unifi7/Makefile
@@ -0,0 +1,80 @@
+PORTNAME=	unifi7
+PORTVERSION=	7.0.23
+CATEGORIES=	net-mgmt java
+MASTER_SITES=	http://dl.ubnt.com/unifi/%SUBDIR%/:unifi \
+		https://repo1.maven.org/maven2/%SUBDIR%/:jax
+MASTER_SITE_SUBDIR=	${PORTVERSION}/:unifi \
+			javax/activation/${_JAX_DISTNAME}/${_JAX_VERSION}/:jax
+DISTFILES=	unifi_sysvinit_all.deb:unifi \
+		${_JAX_DISTNAME}-${_JAX_VERSION}.jar:jax
+DIST_SUBDIR=	${PORTNAME}-${PORTVERSION}
+EXTRACT_ONLY=	unifi_sysvinit_all.deb
+
+MAINTAINER=	otis@FreeBSD.org
+COMMENT=	UniFi Controller v6
+
+RUN_DEPENDS=	mongodb36>0:databases/mongodb36 \
+		snappyjava>0:archivers/snappy-java
+
+USES=		cpe
+
+CPE_VENDOR=	ui
+CPE_PRODUCT=	unifi_controller
+USE_JAVA=	yes
+JAVA_VERSION=	8+
+JAVA_OS=	native
+JAVA_VENDOR=	openjdk bsdjava
+JAVA_RUN=	yes
+USE_RC_SUBR=	unifi
+
+CONFLICTS_INSTALL=	unifi7
+
+EXTRACT_CMD=	${AR}
+EXTRACT_BEFORE_ARGS=	-p
+EXTRACT_AFTER_ARGS=	data.tar.xz | ${TAR} -xf -
+
+NO_ARCH=	yes
+NO_BUILD=	yes
+SUB_LIST+=	GROUPS=${GROUPS} \
+		JAVA=${JAVA} \
+		JAVA_HOME=${JAVA_HOME} \
+		JAVASHAREDIR=${JAVASHAREDIR} \
+		USERS=${USERS}
+
+NO_WRKSUBDIR=	yes
+
+USERS=		unifi
+GROUPS=		unifi
+
+_DIR_LIST=	conf data logs run work
+_JAX_DISTNAME=	javax.activation-api
+_JAX_VERSION=	1.2.0
+
+post-extract:
+	${INSTALL_DATA} ${DISTDIR}/${DIST_SUBDIR}/${_JAX_DISTNAME}-${_JAX_VERSION}.jar \
+		${WRKSRC}/usr/lib/unifi/lib/
+
+post-patch:
+	(cd ${WRKSRC}/usr/lib/unifi/lib && \
+		${LN} -f -s ${JAVAJARDIR}/snappy-java.jar snappy-java-*.jar)
+	${RM} -r ${WRKSRC}/usr/lib/unifi/lib/native
+
+do-install:
+	${MKDIR} ${STAGEDIR}${JAVASHAREDIR}/unifi
+	(cd ${WRKSRC}/usr/lib/unifi && \
+		${COPYTREE_SHARE} \* ${STAGEDIR}${JAVASHAREDIR}/unifi/)
+	${LN} -sf ${PREFIX}/bin/mongod ${STAGEDIR}${JAVASHAREDIR}/unifi/bin/mongod
+# Create directories that will be writable by unifi
+.for i in data logs run work
+	${MKDIR} ${STAGEDIR}/${JAVASHAREDIR}/unifi/${i}
+.endfor
+
+post-install:
+	@${FIND} -s ${STAGEDIR}${JAVASHAREDIR}/unifi -not -type d | \
+		${SORT} | ${SED} -e 's#^${STAGEDIR}${PREFIX}/##' >> ${TMPPLIST}
+.for dir in ${_DIR_LIST}
+	@${ECHO} "@dir(unifi,wheel,) ${JAVASHAREDIR}/unifi/${dir}" >> \
+		${TMPPLIST}
+.endfor
+
+.include <bsd.port.mk>
diff --git a/net-mgmt/unifi7/distinfo b/net-mgmt/unifi7/distinfo
new file mode 100644
index 000000000000..263fe39bbc33
--- /dev/null
+++ b/net-mgmt/unifi7/distinfo
@@ -0,0 +1,5 @@
+TIMESTAMP = 1646325635
+SHA256 (unifi7-7.0.23/unifi_sysvinit_all.deb) = bcf6abe39f1386a7730204675076ad6b2deeaae97f67c977370aaf4797005ff8
+SIZE (unifi7-7.0.23/unifi_sysvinit_all.deb) = 136272532
+SHA256 (unifi7-7.0.23/javax.activation-api-1.2.0.jar) = 43fdef0b5b6ceb31b0424b208b930c74ab58fac2ceeb7b3f6fd3aeb8b5ca4393
+SIZE (unifi7-7.0.23/javax.activation-api-1.2.0.jar) = 56674
diff --git a/net-mgmt/unifi7/files/unifi.in b/net-mgmt/unifi7/files/unifi.in
new file mode 100644
index 000000000000..47c228d2aeed
--- /dev/null
+++ b/net-mgmt/unifi7/files/unifi.in
@@ -0,0 +1,84 @@
+#!/bin/sh
+#
+# Created by: Mark Felder <feld@FreeBSD.org>
+
+# PROVIDE: unifi
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+
+#
+# Add the following line to /etc/rc.conf to enable `unifi':
+#
+# unifi_enable="YES"
+#
+# Other configuration settings for unifi that can be set in /etc/rc.conf:
+#
+# unifi_user (str)
+#   This is the user that unifi runs as
+#   Set to %%USERS%% by default
+#
+# unifi_group (str)
+#   This is the group that unifi runs as
+#   Set to %%GROUPS%% by default
+#
+# unifi_chdir (str)
+#   This is the directory that unifi chdirs into before starting
+#   Set to %%JAVASHAREDIR%%/unifi by default
+#
+# unifi_java_home (str)
+#   The path to the base directory for the Java to use to run unifi
+#   Defaults to %%JAVA_HOME%%
+#
+# unifi_javaflags (str)
+#   Flags passed to Java to run unifi
+#   Set to "-Djava.awt.headless=true -Xmx1024M" by default
+#
+
+. /etc/rc.subr
+name=unifi
+
+rcvar=unifi_enable
+load_rc_config ${name}
+
+: ${unifi_enable:=NO}
+: ${unifi_user:=%%USERS%%}
+: ${unifi_group:=%%GROUPS%%}
+: ${unifi_chdir=%%JAVASHAREDIR%%/unifi}
+: ${unifi_java_home=%%JAVA_HOME%%}
+: ${unifi_javaflags="-Djava.awt.headless=true -Xmx1024M"}
+
+pidfile="/var/run/unifi/${name}.pid"
+procname=${unifi_java_home}/bin/java
+command=/usr/sbin/daemon
+command_args="-f -p ${pidfile} ${unifi_java_home}/bin/java ${unifi_javaflags} com.ubnt.ace.Launcher start"
+start_precmd=start_precmd
+stop_precmd=stop_precmd
+stop_postcmd=stop_postcmd
+
+export CLASSPATH=$(echo ${unifi_chdir}/lib/*.jar | tr ' ' ':')
+
+start_precmd()
+{
+	if [ ! -e /var/run/unifi ] ; then
+		install -d -o %%USERS%% -g %%GROUPS%% /var/run/unifi;
+	fi
+}
+
+stop_precmd()
+{
+	if [ -r ${pidfile} ]; then
+		_UNIFIPID=$(check_pidfile ${pidfile} ${procname})
+		export _UNIFI_CHILDREN=$(pgrep -P ${_UNIFIPID})
+	fi
+}
+
+stop_postcmd()
+{
+	if ! [ -z ${_UNIFI_CHILDREN} ]; then
+		echo "Cleaning up leftover child processes."
+		kill $sig_stop ${_UNIFI_CHILDREN}
+		wait_for_pids ${_UNIFI_CHILDREN}
+	fi
+}
+
+run_rc_command "$1"
diff --git a/net-mgmt/unifi7/pkg-descr b/net-mgmt/unifi7/pkg-descr
new file mode 100644
index 000000000000..757b47a4c4aa
--- /dev/null
+++ b/net-mgmt/unifi7/pkg-descr
@@ -0,0 +1,4 @@
+The UniFi Controller allows you to manage Wireless, Routing & Switching,
+VoIP and Video of Ubiquiti Networks.
+
+WWW: https://help.ui.com/hc/en-us/categories/200320654-UniFi-Wireless